%define anolis_release 1
%global pypi_name jaraco.collections
# Disable docs build for now
# sphinx deps arn't resolving properly
%bcond_with docs

Name:           python-jaraco-collections
Version:        3.0.0
Release:        %{anolis_release}%{?dist}
Summary:        Collection objects similar to those in stdlib by jaraco

License:        MIT
URL:            https://github.com/jaraco/jaraco.collections
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
%generate_buildrequires
%pyproject_buildrequires

%if %{with tests}
# test requirements
BuildRequires:  python3dist(jaraco-text)
BuildRequires:  python3dist(pytest) >= 3.5
BuildRequires:  python3dist(pytest-black-multipy)
BuildRequires:  python3dist(pytest-checkdocs) >= 1.2.3
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(rst-linker) >= 1.9
BuildRequires:  python3dist(six) >= 1.7.0
%endif

%description
%{summary}

%package -n     python3-jaraco-collections
Summary:        %{summary}
 
Requires:       python3-jaraco

# The package name was changed. Obsolete the previous
# name to provide a clean upgrade path.
# Remove in Fedora >= 36
Obsoletes:      python3-jaraco.collections < 3.0.0-3

%description -n python3-jaraco-collections
%{summary}

%package -n python-jaraco-collections-doc
Summary:        jaraco.collections documentation

# The package name was changed. Obsolete the previous
# name to provide a clean upgrade path.
# Remove in Fedora >= 36
Obsoletes:      python-jaraco.collections-doc < 3.0.0-3

%description -n python-jaraco-collections-doc
Documentation for jaraco.collections

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel
%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%if %{with tests}
%check
%pytest
%endif

%install
%pyproject_install

%files -n python3-jaraco-collections
%license LICENSE
%doc README.rst
# These excludes are provided by python3-jaraco
%pycached %exclude %{python3_sitelib}/jaraco/__init__.py
%pycached %{python3_sitelib}/jaraco/collections.py
%{python3_sitelib}/jaraco.collections-%{version}.dist-info/

%if %{with docs}
%files -n python-jaraco-collections-doc
%doc html
%license LICENSE
%endif

%changelog
* Mon Apr 17 2023 Funda Wang <fundawang@yeah.net> - 3.0.0-1
- Import package for anolis 23
